--- 0.8 not yet released
+YAZ proxy control script renamed from yaz-proxy.sh to yazproxyctl.sh.
+
+YAZ proxy executable renamed from yaz-proxy to yaz-proxy.
+
Older versions of YAZ proxy was part of YAZ++. We've split the
YAZ proxy into a separate project.
<chapter id="installation">
- <!-- $Id: installation.xml,v 1.5 2004-04-22 07:52:51 adam Exp $ -->
+ <!-- $Id: installation.xml,v 1.6 2004-04-23 16:10:24 adam Exp $ -->
<title>Installation</title>
<para>
You need a C++ compiler to compile and use YAZ proxy.
<varlistentry>
<term><literal>etc</literal></term>
<listitem><para>
- Various files that may be read by YAZ proxy - including
- configuration file, XSLT files, CQL to RPN conversion.
+ Various files such as
+ configuration files, XSLT files, CQL to RPN conversion files,
+ a sample start/stop control script
+ <filename>yazproxy.ctl.sh</filename> that can be used as
+ template for an <filename>/etc/init.d</filename> script.
These files are installed in the YAZ proxy's data area
(<parameter>prefix</parameter><literal>/share/yazproxy</literal>).
</para></listitem>
-# $Id: Makefile.am,v 1.2 2004-04-19 13:42:52 adam Exp $
+# $Id: Makefile.am,v 1.3 2004-04-23 16:10:24 adam Exp $
proxydatadir=$(datadir)/yazproxy
proxydata_DATA = \
pqf.properties \
yazproxy.xsd \
zeerex-2.0.xsd \
- yaz-proxy.sh
+ yazproxyctl.sh
EXTRA_DIST = $(proxydata_DATA)
-noinst_SCRIPTS = yaz-proxy.sh
+noinst_SCRIPTS = yazproxyctl.sh
+++ /dev/null
-#!/bin/sh
-# $Id: yaz-proxy.sh,v 1.2 2004-04-11 14:45:13 adam Exp $
-# YAZ proxy start/stop init.d script.
-#
-PATH=/usr/local/bin:/bin:/usr/bin
-export PATH
-
-# Proxy CWD is here. Should be writable by it.
-DIR=/var/yazproxy
-# Proxy Path
-DAEMON=/usr/local/bin/yazproxy
-
-# Proxy PIDFILE. Must be writable by it.
-PIDFILE="/var/run/yazproxy.pid"
-
-# Log file
-LOGFILE=/var/log/yazproxy.log
-
-# Port
-PORT=9000
-
-# Run as this user. Set to empty to keep uid as is
-RUNAS=nobody
-
-# Extra args . Config file _WITH_ option
-ARGS="-c config.xml"
-
-if test -n "RUNAS"; then
- ARGS="-u $RUNAS $ARGS"
-fi
-
-# Increase number of sockets, if needed
-#ulimit -n 1050
-
-# Name, Description (not essential)
-NAME=yazproxy
-DESC="YAZ proxy"
-
-test -d $DIR || exit 0
-test -f $DAEMON || exit 0
-
-set -e
-
-case "$1" in
- start)
- printf "%s" "Starting $DESC: "
- cd $DIR
- $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
- echo "$NAME."
- ;;
- stop)
- printf "%s" "Stopping $DESC: "
-
- if test -f $PIDFILE; then
- kill `cat $PIDFILE`
- rm -f $PIDFILE
- echo "$NAME."
- else
- echo "No PID $PIDFILE"
- fi
- ;;
- reload)
- if test -f $PIDFILE; then
- kill -HUP `cat $PIDFILE`
- fi
- ;;
- restart|force-reload)
- printf "%s" "Restarting $DESC: "
- if test -f $PIDFILE; then
- kill `cat $PIDFILE`
- rm -f $PIDFILE
- fi
- sleep 1
- cd $DIR
- $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
- echo "$NAME."
- ;;
- *)
- N=/etc/init.d/$NAME
- # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $N {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0
--- /dev/null
+#!/bin/sh
+# $Id: yazproxyctl.sh,v 1.1 2004-04-23 16:10:24 adam Exp $
+# YAZ proxy start/stop init.d script.
+#
+PATH=/usr/local/bin:/bin:/usr/bin
+export PATH
+
+# Proxy CWD is here. Should be writable by it.
+DIR=/var/yazproxy
+# Proxy Path
+DAEMON=/usr/local/bin/yazproxy
+
+# Proxy PIDFILE. Must be writable by it.
+PIDFILE="/var/run/yazproxy.pid"
+
+# Log file
+LOGFILE=/var/log/yazproxy.log
+
+# Port
+PORT=9000
+
+# Run as this user. Set to empty to keep uid as is
+RUNAS=nobody
+
+# Extra args . Config file _WITH_ option
+ARGS="-c config.xml"
+
+if test -n "RUNAS"; then
+ ARGS="-u $RUNAS $ARGS"
+fi
+
+# Increase number of sockets, if needed
+#ulimit -n 1050
+
+# Name, Description (not essential)
+NAME=yazproxy
+DESC="YAZ proxy"
+
+test -d $DIR || exit 0
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ printf "%s" "Starting $DESC: "
+ cd $DIR
+ $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
+ echo "$NAME."
+ ;;
+ stop)
+ printf "%s" "Stopping $DESC: "
+
+ if test -f $PIDFILE; then
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ echo "$NAME."
+ else
+ echo "No PID $PIDFILE"
+ fi
+ ;;
+ reload)
+ if test -f $PIDFILE; then
+ kill -HUP `cat $PIDFILE`
+ fi
+ ;;
+ restart|force-reload)
+ printf "%s" "Restarting $DESC: "
+ if test -f $PIDFILE; then
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ fi
+ sleep 1
+ cd $DIR
+ $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0